Interface: TruncateRequestOptions
Defined in: service-core/src/routes/ModelRoute.ts:68
The set of options required by truncate request handlers.
Extends
Properties
ignoreACL?
optionalignoreACL?:boolean
Defined in: service-core/src/models/RepoUtils.ts:39
Set to true to ignore the ACL permissions check.
Inherited from
DeleteRequestOptions.ignoreACL
params
params:
any
Defined in: service-core/src/routes/ModelRoute.ts:70
The list of URL parameters to use in the search.
purge?
optionalpurge?:boolean
Defined in: service-core/src/routes/ModelRoute.ts:46
Set to true to permanently remove the object from the database (if applicable).
Inherited from
pushChannels?
optionalpushChannels?:string[]
Defined in: service-core/src/routes/ModelRoute.ts:72
An additional list of channel names to send push notifications to.
Overrides
DeleteRequestOptions.pushChannels
query
query:
any
Defined in: service-core/src/routes/ModelRoute.ts:74
The list of query parameters to use in the search.
recordEvent?
optionalrecordEvent?:boolean
Defined in: service-core/src/models/RepoUtils.ts:43
Indicates if a telemetry event should be broadcast for the request.
Inherited from
DeleteRequestOptions.recordEvent
req?
optionalreq?:HttpRequest
Defined in: service-core/src/routes/ModelRoute.ts:25
The originating client request.
Inherited from
res?
optionalres?:HttpResponse
Defined in: service-core/src/routes/ModelRoute.ts:27
The outgoing client response.
Inherited from
skipPush?
optionalskipPush?:boolean
Defined in: service-core/src/routes/ModelRoute.ts:76
Set to true to not send a push notification.
Overrides
transaction?
optionaltransaction?:TransactionInfo
Defined in: service-core/src/models/RepoUtils.ts:47
The transactional session to execute the operation within.
Inherited from
DeleteRequestOptions.transaction
user?
optionaluser?:JWTUser
Defined in: service-core/src/models/RepoUtils.ts:49
The authenticated user making the request.
Inherited from
version?
optionalversion?:string|number
Defined in: service-core/src/routes/ModelRoute.ts:52
The desired version number of the resource to delete.